"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const jsxRuntime = require("react/jsx-runtime");
require("react");
require("clsx");
const useProps = require("../../core/MantineProvider/use-props/use-props.cjs");
const factory = require("../../core/factory/factory.cjs");
const ModalBaseCloseButton = require("../ModalBase/ModalBaseCloseButton.cjs");
const Modal_context = require("./Modal.context.cjs");
const Modal_module_css = require("./Modal.module.css.cjs");
const defaultProps = {};
const ModalCloseButton = factory.factory((_props, ref) => {
  const props = useProps.useProps("ModalCloseButton", defaultProps, _props);
  const { classNames, className, style, styles, vars, ...others } = props;
  const ctx = Modal_context.useModalContext();
  return /* @__PURE__ */ jsxRuntime.jsx(
    ModalBaseCloseButton.ModalBaseCloseButton,
    {
      ref,
      ...ctx.getStyles("close", { classNames, style, styles, className }),
      ...others
    }
  );
});
ModalCloseButton.classes = Modal_module_css.default;
ModalCloseButton.displayName = "@mantine/core/ModalCloseButton";
exports.ModalCloseButton = ModalCloseButton;
